Subject: bug#911: 23.0.60; custom-set-faces causes "New Frame" to fail (max-specpdl-size)

From: martin rudalics <[email-masked]>
Date: Sun, 07 Sep 2008 20:47:40 +0200

>> Can you reproduce the bug with an .emacs that contains just this form
 >> and nothing else?
 >
 > Yes. The bug is still present even when .emacs consists of only the above.

And it happens when you evaluate that form in *scratch*?  I'm asking
because I can't reproduce it here.  Maybe you should also try with a
more recent checkout.

 > I'm not quite sure what you mean by this... but I can evaluate
 > (x-display-color-cells) in the scratch buffer without any apparent error?
 >
 >   (x-display-color-cells)
 >   1677721

I wondered what precisely in `display-color-cells' could trigger the
Variable binding depth exceeds max-specpdl-size.  Can you debug
`display-color-cells'?

martin